This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 350781 - Review Request: libvoikko - A library for spellcheckers and hyphenators
Review Request: libvoikko - A library for spellcheckers and hyphenators
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 346121 349191
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 12:56 EDT by Ville-Pekka Vainio
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-14 06:19:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ville-Pekka Vainio 2007-10-24 12:56:06 EDT
Spec URL: http://vpv.fedorapeople.org/packages/libvoikko.spec
SRPM URL: http://vpv.fedorapeople.org/packages/libvoikko-1.5-0.1.fc7.src.rpm
Description:
This is libvoikko, library for spellcheckers and hyphenators using Malaga
natural language grammar development tool. The library is written in C.

Currently only Finnish is supported, but the API of the library has been designed
to allow adding support for other languages later.


Voikko depends on malaga and suomi-malaga (upstream name, I've named my package malaga-suomi-voikko), please see bug #346121 and bug #349191.

Rpmlint output:
libvoikko-devel.i386: W: no-documentation - but there is no documentation that would be suitable for the -devel package, the main package will have all the docs.
Comment 1 Mamoru TASAKA 2007-11-01 12:32:09 EDT
When the rebuild of malaga-suomi-voikko is done for F-9, I will
check this.
Comment 2 Mamoru TASAKA 2007-11-02 02:57:34 EDT
Some quick comment:
* Rebuild fails at least on i386.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=224229
  It seems at least malaga-devel is missing from BR.
* malaga-suomi-voikko already requires malaga.
* Please remove static archive.
Comment 3 Ville-Pekka Vainio 2007-11-07 06:39:17 EST
New SPEC: http://vpv.fedorapeople.org/packages/libvoikko.spec
New SRPM: http://vpv.fedorapeople.org/packages/libvoikko-1.5-0.2.fc7.src.rpm

I believe I fixed all those issues you pointed out. I also built it in koji as a
scratch build, which succeeded.
Comment 4 Mamoru TASAKA 2007-11-07 07:08:39 EST
For 1.5-0.2:

* Requires for libvoikko-devel
  - Would you explain why libvoikko-devel should have
    "Requires: malaga-devel"?
    It seems that no header files in libvoikko-devel requires
    header files in malaga-devel.

* Timestamps
  - Adding 'INSTALL="install -p"' option to "make install"
    will save timestamps on man files and header files.
    (This method usually works for most recent Makefiles).
Comment 5 Ville-Pekka Vainio 2007-11-07 10:44:22 EST
New Spec: http://vpv.fedorapeople.org/packages/libvoikko.spec
New SRPM: http://vpv.fedorapeople.org/packages/libvoikko-1.5-0.3.fc7.src.rpm

I removed Requires: malaga-devel from libvoikko-devel, it really wasn't needed.
I also added INSTALL="install -p" to make install as you requested.
Comment 6 Mamoru TASAKA 2007-11-08 09:22:57 EST
Okay.

-----------------------------------------------------------------
    This package (libvoikko) is APPROVED by me
-----------------------------------------------------------------
Comment 7 Ville-Pekka Vainio 2007-11-08 13:00:30 EST
New Package CVS Request
=======================
Package Name: libvoikko
Short Description: A library for spellcheckers and hyphenators
Owners: vpv
Branches: F-7 F-8
Cvsextras Commits: yes


Mamoru Tasaka, thanks again for your review and help. 

I'm planning to package tmispell-voikko and openoffice.org-voikko later, those
would enable using voikko in some KDE and GNOME applications and OO.o. They're
both a bit difficult, since tmispell-voikko replaces a possibly installed
"original" tmispell and OO.o updates with the voikko component can apparently be
a bit problematic. I'll probably send an email to fedora-devel when I have time
to start packaging those.
Comment 8 Kevin Fenzi 2007-11-08 13:47:09 EST
cvs done.
Comment 9 Mamoru TASAKA 2007-11-14 06:08:49 EST
Please close this bug when rebuild and request on koji
is done.
Comment 10 Ville-Pekka Vainio 2007-11-14 06:19:42 EST
Sorry about leaving this open, I just forgot to close it. Libvoikko has been
built in Rawhide, I haven't yet requested for the dependencies to be added to
F-7 and F-8 buildroots, I'll probably do that soon.

Note You need to log in before you can comment on or make changes to this bug.